2009-02-17  Lars Povlsen  <lpovlsen@vitesse.com>

	* include/flash_am29xxxxx_parts.inl:
	Added Macronix MX29LV128M B part (8- and 16-bit)
	Added Macronix MX29LV128M T part (8-bit)
	Added Spansion S29GL128N part (8-bit)

2009-02-16  René Schipp von Branitz Nielsen  <rbn@vitesse.com>

	* include/flash_am29xxxxx.inl: Silence warning with use of
	CYGHWR_DEVS_FLASH_ST_M29W320D.

2008-11-17  Jonathan Larmour  <jifl@eCosCentric.com>

	* cdl/flash_amd_am29xxxxx.cdl: Indicate that this driver uses
	the legacy flash device API.

2006-11-28 Oyvind Harboe  <oyvind.harboe@zylin.com>

	* Fixed boot sectors for ST M29W320D
	
2006-08-29  Yoshinori Sato <ysato@users.sourceforge.jp>

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_S29GL128M]:
	* cdl/flash_amd_am29xxxxx.cdl: Add AMD/SPANSION S29GL128M part
	
2005-08-11  Oyvind Harboe  <oyvind.harboe@zylin.com>

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_ST_M29W320D]:
	* cdl/flash_amd_am29xxxxx.cdl: Add ST M29W320D part.
	
2006-04-03  Lars Povlsen  <lpovlsen@vitesse.com>

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_MX29LV128]:
	* cdl/flash_amd_am29xxxxx.cdl: Add MXIC MX29LV128 part.

	* include/flash_am29xxxxx.inl: (find_sector) Fixed dealing with
	bootblocks. Was returning device block size even for boot blocks.

2006-02-15  Stephane Deltour  <stephane.deltour@barco.com>

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_S29GL128N]:
	* cdl/flash_amd_am29xxxxx.cdl: Add AMD/SPANSION S29GL128N part.

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_S29GL256N]:
	* cdl/flash_amd_am29xxxxx.cdl: Add AMD/SPANSION S29GL256N part.

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_S29GL512N]:
	* cdl/flash_amd_am29xxxxx.cdl: Add AMD/SPANSION S29GL512N part.

2005-09-08  Peter Korsgaard  <jacmet@sunsite.dk>

	* include/flash_am29xxxxx.inl (flash_program_buf): Handle writes
	with length not a multiple of flash word size.

2005-04-17  David Vrabel  <dvrabel@arcom.com>

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_AM29F002T]:
	* cdl/flash_amd_am29xxxxx.cdl: Add AMD AM29F002T part.

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_AM29LV256]:
	* cdl/flash_amd_am29xxxxx.cdl: Add AMD AM29LV256 part.

	* include/flash_am29xxxxx_parts.inl [CYGHWR_DEVS_FLASH_AMD_AM29LV128]:
	Use long device id for AM29LV128 part.

2005-03-18  Peter Korsgaard <jacmet@sunsite.dk>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_S29PL032J,
	CYGHWR_DEVS_FLASH_AMD_S29PL064J, CYGHWR_DEVS_FLASH_AMD_S29PL127J):
	* cdl/flash_amd_am29xxxxx.cdl: Add support for Spansion S29PL032J,
	S29PL064J and S29PL127J parts.

2005-02-20  Kurt Stremerch <kurt.stremerch@exys.be>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_S29GL064M):
	* cdl/flash_amd_am29xxxxx.cdl: Add support for the S29GL064M part.

2004-11-08  Nick Garnett  <nickg@ecoscentric.com>

	* include/flash_am29xxxxx_parts.inl: 
	* cdl/flash_amd_am29xxxxx.cdl:
	Added entry for AM29DL800B.

2004-07-16  Nick Garnett  <nickg@ecoscentric.com>

	* include/flash_am29xxxxx_parts.inl: 
	* cdl/flash_amd_am29xxxxx.cdl:
	Added entry for AM29PDL127H.

2004-06-11  Nick Garnett  <nickg@ecoscentric.com>

	* include/flash_am29xxxxx_parts.inl: 
	* cdl/flash_amd_am29xxxxx.cdl: Added entry for AM29DL163D. 

2004-05-27  Jonathan Larmour  <jifl@eCosCentric.com>

	* include/flash_am29xxxxx_parts.inl: Add ST M29W160DB and ST M29W160DT
	support.
	* cdl/flash_amd_am29xxxxx.cdl: Ditto.

2004-04-21  Sebastien Couret  <sebastien.couret@elios-informatique.com>

	* include/flash_am29xxxxx.inl: Minor changes to silence warnings.

2004-04-20  Bart Veer  <bartv@ecoscentric.com>

	* cdl/flash_amd_am29xxxxx.cdl, include/flash_am29xxxxx_parts.inl:
	Add support for the MX29LV320AT.
	Allow the M29W320DT to be accessed in 8-bit mode.
	Fix bootblock definition for the TC58FVT321 in 8-bit mode.

2004-04-08  Bob Koninckx <bob.koninckx@o-3s.com>
	* include/flash_am29xxxxx_parts.inl: Added support for AM29PL160 top
	boot block devices and corrected typo.

2004-04-06  Gary Thomas  <gary@mlbassoc.com>

	* include/flash_am29xxxxx.inl (flash_program_buf): Buffered program
	writes failed when configured for parallel devices.

2004-02-12  Bart Veer  <bartv@ecoscentric.com>

	* include/flash_am29xxxxx_parts.inl: 
	* cdl/flash_amd_am29xxxxx.cdl:
	Add the AM29LV640ML, a variant of the AM29LV640

2003-11-26  Bart Veer  <bartv@ecoscentric.com>

	* cdl/flash_amd_am29xxxxx.cdl, include/flash_am29xxxxx_parts.inl:
	Add ST M29W320DT

2003-11-10  Bart Veer  <bartv@ecoscentric.com>

	* cdl/flash_amd_am29xxxxx.cdl, include/flash_am29xxxxx_parts.inl:
	Add Toshiba TC58FVT321

2003-10-21  Jay Foster   <jay@systech.com>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_AM29LV033C):
	Fixed device definition to allow erasing of the upper half of the
	device.  The Sector Protect Verify command would erroneously report
	the upper half of the device as locked.

2003-10-02  Jay Foster   <jay@systech.com>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_AM29LV081B,
	CYGHWR_DEVS_FLASH_AMD_AM29LV017D, CYGHWR_DEVS_FLASH_AMD_AM29LV033C,
	CYGHWR_DEVS_FLASH_AMD_AM29LV065D):
	* cdl/flash_amd_am29xxxxx.cdl: Add support for Am29LV081B, Am29LV017D,
	Am29LV033C, and Am29LV065D parts.

2003-09-09  Thomas Koeller <thomas.koeller@baslerweb.com>

	* include/flash_am29xxxxx.inl:
	* include/flash_am29xxxxx_parts.inl: Added support for write
	buffer programming.
    
2003-09-04  Thomas Koeller <thomas.koeller@baslerweb.com>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_AM29LV128):
	* cdl/flash_amd_am29xxxxx.cdl: Add support for Am29LV128 part.

2003-08-17  Bart Veer  <bartv@ecoscentric.com>

	* include/flash_am29xxxxx.inl:
	Allow platform-specific code to override the default loop counts
	used for timeouts.

	* include/flash_am29xxxxx_parts.inl, cdl/flash_amd_am29xxxxx.cdl:
	Add AM29PL160 device

2003-07-23  Chris Garry <cgarry@sweeneydesign.co.uk>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_AM29LV400):
	* cdl/flash_amd_am29xxxxx.cdl: Add support for Am29LV400 part.

2003-04-03  Jani Monoses <jani@iv.ro> 

	* include/flash_am29xxxxx.inl:
	Removed wrapper functions which enabled/disabled cache around query,
	erase and program operations since the generic flash driver takes
	care of the cache already.
	
2003-02-11  Gary Thomas  <gary@mlbassoc.com>

	* include/flash_am29xxxxx_parts.inl:
	Fix identifier code for AM29LV320DT.

2002-12-23  Patrick Doyle  <wpd@delcomsys.com>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_AM29DL640D): 
	* cdl/flash_amd_am29xxxxx.cdl: 
	Add support for AM29DL323 and for 16 bit operation of the
	AM29DL322.

2002-12-04  Mark Salter  <msalter@redhat.com>

	* include/flash_am29xxxxx_parts.inl:
	* cdl/flash_amd_am29xxxxx.cdl: Add support for AM29DL322.

2002-11-25  Gary Thomas  <gthomas@ecoscentric.com>

	* include/flash_am29xxxxx_parts.inl (CYGHWR_DEVS_FLASH_AMD_AM29DL640D):
	Now tested in 16 bit configurations.

	* include/flash_am29xxxxx.inl: Fix problems with CYGNUM_FLASH_16AS8.
	The definition was inconsistent/confusing.

2002-11-17  Bob Koninckx <bob.koninckx@mech.kuleuven.ac.be>

	* include/flash_am29xxxxx_parts.inl:
	* cdl/flash_am29xxxxx.cdl: Definition for AM29F010 part added. Used by cme555.

2002-10-11  Gary Thomas  <gary@mlbassoc.com>

	* include/flash_am29xxxxx_parts.inl: 
	* include/flash_am29xxxxx.inl: Better support for devices with
	"bootblock" sections - some newer devices have more than one!

2002-09-26  Ian Campbell  <icampbell@arcomcontrols.com>
	
	* include/flash_am29xxxxx_parts.inl:
	* cdl/flash_amd_am29xxxxx.cdl: Add support for AM29DL640D.

	* include/flash_am29xxxxx.inl: Add support for triple byte part id
	numbers, such as those used by the AM29DL640D. Allow for parts
	with up to 5 banks, rather than two -- also to support AM29DL640D
	parts.

2002-07-29  Gary Thomas  <gary@chez-thomas.org>
2002-07-29  Motoya Kurotsu <kurotsu@allied-telesis.co.jp>

	* include/flash_am29xxxxx.inl: Force routines which actually use
	the FLASH to run from RAM.

2002-07-24  Gary Thomas  <gary@chez-thomas.org>
2002-07-24  Motoya Kurotsu <kurotsu@allied-telesis.co.jp>
	
	* include/flash_am29xxxxx.inl (_flash_program_buf): Fix data
	type for 'state' - needs to be flash_data_t.

2002-06-20  Gary Thomas  <gary@chez-thomas.org>

	* include/flash_am29xxxxx.inl: Add cache disable/enable code
	since this is required on most platforms.

	* include/flash_am29xxxxx_parts.inl: 
	* cdl/flash_amd_am29xxxxx.cdl: Add support for AM29LV320D{T|B}

2002-04-24  Bob Koninckx <bob.koninckx@mech.kuleuven.ac.be>

	* cdl/flash_amd_am29xxxxx.cdl: Support AM29LV200 and ST M29W200B.
	* include/flash_am29xxxxx_parts.inl: Likewise.

2002-01-03  Jonathan Larmour  <jlarmour@redhat.com>
2001-12-20  Koichi Nagashima  <naga@r-lab.co.jp>

	* cdl/flash_amd_am29xxxxx.cdl: Add support for Toshiba TC58FVB800 part.
	* include/flash_am29xxxxx_parts.inl: Ditto.

	* include/flash_am29xxxxx.inl: Fix FLASH_Reset definition.
	Check sector erase timer correctly.

2001-10-31  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx_parts.inl: Removed fix me comments -
	description is accurate.

2001-10-30  Jesper Skov  <jskov@redhat.com>
	From Gary:
	* include/flash_am29xxxxx_parts.inl: Added preliminary AM29LV640
	support. Still needs some tweaks.
	* cdl/flash_amd_am29xxxxx.cdl: Same.

2001-09-26  Gary Thomas  <gthomas@redhat.com>

	* include/flash_am29xxxxx.inl (flash_erase_block): 
	New platform control - CYGHWR_FLASH_AM29XXXXX_NO_WRITE_PROTECT.
	Define this if the write-protect feature is non-functional/missing.

2001-08-16  Jonathan Larmour  <jlarmour@redhat.com>

	* include/flash_am29xxxxx.inl: Double erase timeouts for faster CPUs.

2001-08-10  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl (flash_hwr_init): Fix block number.

2001-07-26  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl: Made code deal with multiple
	banks. Use flag to identify banked devices.
	* include/flash_am29xxxxx_parts.inl: Updated with banked flag.

2001-07-23  David Howells  <dhowells@redhat.com>

	* include/flash_am29xxxxx.inl: Added support for chips divided
	into banks, and added correct addresses for 16-bit chips
	configured in 8-bit mode
	* include/flash_am29xxxxx_parts.inl: Added data for chips divided
	into banks

2001-06-11  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl: Traverse by incrementing
	driver-global pointer variable.

2001-06-11  David Howells  <dhowells@redhat.com>

	* include/flash_am29xxxxx.inl: actually traverse the list of
	supported devices, rather than checking the first entry several
	times

2001-06-08  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx_parts.inl: New file with just part
	data.

	* include/flash_am29xxxxx.inl: Leave more space for bootblock
	offsets. Moved part table data to separate file.

	* cdl/flash_amd_am29xxxxx.cdl: Added config options to control
	inclusion of table data for various parts.

2001-05-29  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl (flash_hwr_init): Call platform init
	code if defined.

2001-05-28  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl: Rewritten to handle bootblock
	parts, autodetect part and configure accordingly.
	Fixed erase and program code to work with devices in parallel.
	Fixed buglet in bootblock detect code.

2001-05-23  Jesper Skov  <jskov@redhat.com>

	* cdl/flash_amd_am29xxxxx.cdl: Links function in RAM. IO driver
	need not copy.

	* include/flash_am29xxxxx.inl: Check for WP before trying to erase
	block. Use P2V macro.

2001-02-23  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl (flash_query): Allow device to
	settle before returning.

2001-02-22  Jesper Skov  <jskov@redhat.com>

	* include/flash_am29xxxxx.inl: Fix typo. Cleaned up, almost
	working with MBX. Times out when erasing from ROM version of RB.

2001-02-20  Jesper Skov  <jskov@redhat.com>

	* .../amd/am29xxxxx: Cloned from hardwired am29f040b driver.

2000-12-07  Jesper Skov  <jskov@redhat.com>

	* src/flash.h: Addresses and sizes are also affected by
	interleaving.
	* src/flash_erase_block.c: Plug in working loop.
	* src/flash_program_buf.c: Same.

2000-12-06  Jesper Skov  <jskov@redhat.com>

	* src/am29f040b_flash.c (flash_hwr_init): Use new query semantics.
	* src/flash_query.c (flash_query): Changed accordingly.

	* src/flash.h (FLASH_Sector_Erase_Timer): Added.

	* src/flash_erase_block.c: Do not check error flag after operation
	completes.
	* src/flash_program_buf.c: Same.

2000-12-05  Jonathan Larmour  <jlarmour@redhat.com>

	* src/am29f040b_flash.c (flash_code_overlaps): Define stext/etext
	as array types so no assumptions can be made by the compiler about
	location.

2000-12-05  Jesper Skov  <jskov@redhat.com>

	* Cloned from MBX driver.

2000-10-20  Gary Thomas  <gthomas@redhat.com>

	* src/mbx_flash.c: 
	* src/flash_query.c: 
	* src/flash_program_buf.c: 
	* src/flash_erase_block.c: 
	* src/flash.h: 
	* cdl/flash_mbx.cdl: New package/file(s).

//===========================================================================
// ####GPLCOPYRIGHTBEGIN####                                                
// -------------------------------------------                              
// This file is part of eCos, the Embedded Configurable Operating System.   
// Copyright (C) 1998, 1999, 2000, 2001, 2002, 2009 Free Software Foundation, Inc.
// Copyright (C) 2004 eCosCentric Limited                                   
//
// This program is free software; you can redistribute it and/or modify     
// it under the terms of the GNU General Public License as published by     
// the Free Software Foundation; either version 2 or (at your option) any   
// later version.                                                           
//
// This program is distributed in the hope that it will be useful, but      
// WITHOUT ANY WARRANTY; without even the implied warranty of               
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        
// General Public License for more details.                                 
//
// You should have received a copy of the GNU General Public License        
// along with this program; if not, write to the                            
// Free Software Foundation, Inc., 51 Franklin Street,                      
// Fifth Floor, Boston, MA  02110-1301, USA.                                
// -------------------------------------------                              
// ####GPLCOPYRIGHTEND####                                                  
//===========================================================================
